function love.load()
	love.keyboard.setKeyRepeat(0.01, 0.001)
	world = {}
	width = 32
	height = 48
	wait = 1
	spriteBatch = love.graphics.newImage( "tremel.png" )
	loadSprite("Noodle", "tremel.png")
	loadSprite("Jose", "tremel.png")
	love.graphics.setBackgroundColor(255,255,255,255)
end

function loadSprite(char_name, sprite)
	world[char_name] = { Direction = Down, Down = {}, Up = {}, Left = {}, Right = {} }
    world[char_name].sprite = love.graphics.newImage(sprite)
	world[char_name].still = true
	world[char_name].x = math.random(1, 320-32)
	world[char_name].y = math.random(1, 320-32)
	for x = 0,3 do -- Height = 4 sprites
		for y = 0,3 do -- Width = 4 sprites
			world[char_name][#world[char_name] + 1] = love.graphics.newQuad( x*width, y*height, width, height, width*4, height*4)
		end
	end
	-- All Pic
	for x = 0, 3 do
		world[char_name].Down[#world[char_name].Down + 1 ] = world[char_name][x * 4 + 1]
		world[char_name].Left[#world[char_name].Left + 1] = world[char_name][x * 4 + 2]
		world[char_name].Right[#world[char_name].Right + 1] = world[char_name][x * 4 + 3]
		world[char_name].Up[#world[char_name].Up + 1] = world[char_name][x * 4 + 4]
	end
	for k, v in pairs(world[char_name]) do
		print(k, v)
	end
	for k, v in pairs(world) do
		print(k, v)
	end
end

function love.update(dt)
	wait = wait + dt
	if wait >= 5 then
		wait = 1
	end
	for k, v in pairs(world) do
		v.still = true
	end
	if love.keyboard.isDown( "up" ) then
		for k, v in pairs(world) do
			v.y=v.y-(20*dt)
			love.keypressed("up")
		end
	end
	if love.keyboard.isDown("down") then
		for k, v in pairs(world) do
			v.y=v.y+(20*dt)
			love.keypressed("down")
		end
	end
	if love.keyboard.isDown("right") then
		for k, v in pairs(world) do
			v.x=v.x+(20*dt)
			love.keypressed("right")
		end
	end
	if love.keyboard.isDown("left") then
		for k, v in pairs(world) do
			v.x=v.x-(20*dt)
			love.keypressed("left")
		end
	end
end

function love.keypressed(key)
	if key == ( "up" ) then
		for k, v in pairs(world) do
			v.still = false
			v.Direction = Up
		end
	end
	if key == ( "down" ) then
		for k, v in pairs(world) do
			v.still = false
			v.Direction = Down
		end
	end
	if key == ( "left" ) then
		for k, v in pairs(world) do
			v.still = false
			v.Direction = Left
		end
	end
	if key == ( "right" ) then
		for k, v in pairs(world) do
			v.still = false
			v.Direction = Right
		end
	end
end

function love.draw()
	love.graphics.setColor(0,0,0,255)
	love.graphics.print(wait, 0, 0)
	love.graphics.setColor(255,255,255,255)
	for k, v in pairs(world) do -- Direction...
		if v.still then
			love.graphics.drawq(v.sprite, v.Direction[1], v.x, v.y) -- world[char_name] = {Direction = Down}
		else
			local weit = math.floor(wait)
			love.graphics.drawq(v.sprite, v.Direction[weit], v.x, v.y)
		end
	end
end